package com.remax.bill.ui

/**
 * 原生广告样式枚举
 * 定义不同的原生广告布局样式
 */
enum class NativeAdStyle(
    val layoutResId: Int,
    val description: String
) {
    /**
     * 标准样式：水平布局，图标+标题+描述+按钮
     */
    STANDARD(
        layoutResId = com.remax.bill.R.layout.layout_native_ads,
        description = "normal"
    ),
    
    /**
     * 卡片样式：垂直布局，更适合大尺寸展示
     */
    CARD(
        layoutResId = com.remax.bill.R.layout.layout_native_ad_card,
        description = "card"
    ),

    CARD_2(
    layoutResId = com.remax.bill.R.layout.layout_native_ad_card2,
    description = "card2"
    )
} 